%define	major 6
%define compatmajor 4
%define	libname %mklibname gdbm %{major}
%define libcompatname %mklibname gdbm_compat %{compatmajor}
%define	develname %mklibname gdbm -d

Summary:	A GNU set of database routines which use extensible hashing
Name:		gdbm
Version:	1.22
Release:	%mkrel 2
License:	GPLv3
Group:		System/Libraries
URL:		https://www.gnu.org/software/gdbm/
Source0:	https://ftp.gnu.org/gnu/gdbm/%{name}-%{version}.tar.gz
BuildRequires:	texinfo
BuildRequires:	autoconf2.5
BuildRequires:	automake

%description
Gdbm is a GNU database indexing library, including routines
which use extensible hashing.  Gdbm works in a similar way to standard UNIX
dbm routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple database
routines, you should install gdbm.  You'll also need to install gdbm-devel.

%package -n	%{libname}
Summary:	Main library for gdbm
Group:		System/Libraries
Requires:	setup

%description -n	%{libname}
This package provides library needed to run programs dynamically linked
with gdbm.

%package -n	%{libcompatname}
Summary:	Main library for gdbm_compat
Group:		System/Libraries
Requires:	setup
Obsoletes:	%{_lib}gdbm4 < 1.15-4
Provides:	%{_lib}gdbm4 = %{version}-%{release}

%description -n	%{libcompatname}
This package provides library needed to run programs dynamically linked
with gdbm_compat.

%package -n	%{develname}
Summary:	Development libraries and header files for the gdbm library
Group:		Development/Databases
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
# (anssi) biarch compat conflict (FIXME: this should be fixed more generally,
# maybe by adding a hack in perl-URPM):
Conflicts:	%{name}-devel < %{version}-%{release}

%description -n	%{develname}
Gdbm-devel contains the development libraries and header files
for gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

#------------------------------------------------------------
%prep
%autosetup -p1

%build
%configure --disable-static --disable-rpath \
	   --enable-libgdbm-compat --enable-largefile
%make_build

%install
%make_install

%find_lang %{name}

# create symlinks for compatibility
mkdir -p %{buildroot}/%{_includedir}/gdbm 
pwd
ln -sf ../gdbm.h %{buildroot}/%{_includedir}/gdbm/gdbm.h
ln -sf ../ndbm.h %{buildroot}/%{_includedir}/gdbm/ndbm.h
ln -sf ../dbm.h %{buildroot}/%{_includedir}/gdbm/dbm.h

rm -f %{buildroot}%{_libdir}/*.la

#------------------------------------------------------------
%files -f %{name}.lang
%{_bindir}/*

%files -n %{libname}
%doc NEWS README
%{_libdir}/libgdbm*.so.%{major}
%{_libdir}/libgdbm*.so.%{major}.*

%files -n %{libcompatname}
%doc NEWS README
%{_libdir}/libgdbm_compat*.so.%{compatmajor}
%{_libdir}/libgdbm_compat*.so.%{compatmajor}.*

%files -n %{develname}
%{_libdir}/libgdbm*.so
%dir %{_includedir}/gdbm
%{_includedir}/gdbm/*.h
%{_includedir}/*.h
%{_infodir}/gdbm*
%{_mandir}/man3/*
%{_mandir}/man1/*
#------------------------------------------------------------


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.22-2.mga9
+ Revision: 1797613
- Mageia 9 Mass Rebuild

* Sat Oct 30 2021 luigiwalser <luigiwalser> 1.22-1.mga9
+ Revision: 1753368
- 1.22

* Wed Sep 08 2021 luigiwalser <luigiwalser> 1.21-2.mga9
+ Revision: 1744556
- 1.21

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.20-1.mga9
+ Revision: 1739567
- 1.20

* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.19-1.mga8
+ Revision: 1665862
- 1.19
- remove gcc10 patch (fixed upstream)

* Sun Jun 28 2020 joequant <joequant> 1.18.1-3.mga8
+ Revision: 1599870
- fix gcc10 compile

* Fri Feb 14 2020 umeabot <umeabot> 1.18.1-2.mga8
+ Revision: 1520011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 01 2018 kekepower <kekepower> 1.18.1-1.mga7
+ Revision: 1327185
- Update to version 1.18.1

* Sun Oct 07 2018 daviddavid <daviddavid> 1.17-3.mga7
+ Revision: 1318398
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 1.17-2.mga7
+ Revision: 1256465
- rely on filetriggers for info system (mga#23482)

* Tue Jul 31 2018 shlomif <shlomif> 1.17-1.mga7
+ Revision: 1246320
- convert away from pct-rename
- New version 1.17 with fix for perl tests
+ tv <tv>
- fix upgrade...

* Sun Jun 17 2018 luigiwalser <luigiwalser> 1.15-1.mga7
+ Revision: 1237497
- add libgdbm_compat package with old major 4
- library major is now 6
- 1.15

* Sun Jan 21 2018 wally <wally> 1.14-1.mga7
+ Revision: 1195530
- new version 1.14

* Fri Dec 01 2017 mjack <mjack> 1.13-1.mga7
+ Revision: 1180601
- Updated to version 1.13
- Removed zeroheaders patch

* Tue May 17 2016 luigiwalser <luigiwalser> 1.12-1.mga6
+ Revision: 1016474
- 1.12

* Thu Feb 11 2016 umeabot <umeabot> 1.11-7.mga6
+ Revision: 953980
- Mageia 6 Mass Rebuild

* Tue Sep 08 2015 sander85 <sander85> 1.11-6.mga6
+ Revision: 874049
- Rebuild to restore devel package

* Fri Aug 21 2015 tmb <tmb> 1.11-5.mga6
+ Revision: 867586
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.11-4.mga5
+ Revision: 744707
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.11-3.mga5
+ Revision: 726294
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.11-2.mga5
+ Revision: 679458
- Mageia 5 Mass Rebuild

* Fri Jan 17 2014 luigiwalser <luigiwalser> 1.11-1.mga5
+ Revision: 566763
- 1.11

* Fri Oct 18 2013 umeabot <umeabot> 1.10-4.mga4
+ Revision: 504720
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 351131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 tv <tv> 1.10-2.mga3
+ Revision: 333171
- requires setup (mga#7295)

* Mon Dec 05 2011 fwang <fwang> 1.10-1.mga2
+ Revision: 176900
- new version 1.10

* Sat Jan 08 2011 blino <blino> 1.8.3-16.mga1
+ Revision: 898
- remove old ldconfig scripts
- imported package gdbm


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-15mdv2011.0
+ Revision: 627572
- don't force the usage of automake1.7

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-14mdv2011.0
+ Revision: 605443
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-13mdv2010.1
+ Revision: 519822
- rebuild

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 1.8.3-12mdv2010.0
+ Revision: 449904
- force both gdbm-devel packages to be updated at the same time on biarch
  systems

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.8.3-11mdv2010.0
+ Revision: 424578
- rebuild

  + Arnaud Patard <apatard@mandriva.com>
    - really add patch
    - Fix ftbfs with newer libtool (libtool needs a --mode argument)

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-10mdv2009.1
+ Revision: 316600
- use %%{ldflags}

* Tue Aug 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-9mdv2009.0
+ Revision: 263967
- fix unresolved symbols

* Thu Jun 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-8mdv2009.0
+ Revision: 218473
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-7mdv2008.1
+ Revision: 178687
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-5mdv2008.0
+ Revision: 90738
- new devel naming


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:23:53 (63273)
- bunzip patches

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:15:40 (62922)
- Import gdbm

* Sun Jun 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.8.3-3mdv2007.0
- rebuild
- %%mkrel
- fix summary-ended-with-dot
- fix hardcoded-packager-tag
- fix prereq-use
- fix useless-explicit-provides

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.3-2mdk
- Conflicts: libgdbm2-devel

* Thu Aug 05 2004 Daouda LO <daouda@mandrakesoft.com> 1.8.3-1mdk
- Change major name
  - Added compat libs
  - o Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.3-1mdk
    * 1.8.3
    * regenerate P3
    * drop P2 & P3 (fixed upstream)

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8.0-25mdk
- force the use of autoconf2.5 and automake1.7
- add url
- cosmetics

